{% extends 'accounts/base_accounts.html' %}

{% block title %}
    {% if validlink %}
        Change password for {{ form.user.username }}
    {% else %}
        Reset your password
    {% endif %}
{% endblock %}

{% block content %}
    <div class="row justify-content-center">
        <div class="col-lg-6 col-md-8 col-sm-10">
            <div class="card">
                <div class="card-body">
                    {% if validlink %}
                        <h3 class="card-title">Change password for @{{ form.user.username }}</h3>
                        <form method="post" novalidate>
                            {% csrf_token %}
                            {% include 'includes/form.html' %}
                            <button type="submit" class="btn btn-success btn-block">Change password</button>
                        </form>
                    {% else %}
                        <h3 class="card-title">Reset your password</h3>
                        <div class="alert alert-danger" role="alert">
                            It looks like you clicked on an invalid password reset link. Please try again.
                        </div>
                        <a href="{% url 'password_reset' %}" class="btn btn-secondary btn-block">Request a new password
                            reset link</a>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
{% endblock %}